Bug 1312546 - [abrt] kf5-kglobalaccel: qt_message_fatal(): kglobalaccel5 killed by SIGABRT
[abrt] kf5-kglobalaccel: qt_message_fatal(): kglobalaccel5 killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kglobalaccel (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cd73fd0d55ba0d76d3a23bf986e...
:
: 1408295 1421390 1463395 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-27 03:52 EST by Mustafa Muhammad
Modified: 2017-12-12 06:03 EST (History)
42 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:03:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.52 KB, text/plain)
2016-02-27 03:52 EST, Mustafa Muhammad
no flags Details
File: cgroup (259 bytes, text/plain)
2016-02-27 03:52 EST, Mustafa Muhammad
no flags Details
File: core_backtrace (4.74 KB, text/plain)
2016-02-27 03:52 EST, Mustafa Muhammad
no flags Details
File: dso_list (8.11 KB, text/plain)
2016-02-27 03:52 EST, Mustafa Muhammad
no flags Details
File: environ (1.69 KB, text/plain)
2016-02-27 03:52 EST, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-27 03:52 EST, Mustafa Muhammad
no flags Details
File: maps (39.37 KB, text/plain)
2016-02-27 03:52 EST, Mustafa Muhammad
no flags Details
File: mountinfo (3.41 KB, text/plain)
2016-02-27 03:53 EST, Mustafa Muhammad
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-27 03:53 EST, Mustafa Muhammad
no flags Details
File: open_fds (135 bytes, text/plain)
2016-02-27 03:53 EST, Mustafa Muhammad
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-27 03:53 EST, Mustafa Muhammad
no flags Details
File: var_log_messages (272 bytes, text/plain)
2016-02-27 03:53 EST, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2016-02-27 03:52:41 EST
Version-Release number of selected component:
kf5-kglobalaccel-5.19.0-1.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
global_pid:     2882
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1610
 #3 QMessageLogger::fatal at global/qlogging.cpp:784
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:581
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:177
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:50
 #7 loadIntegration at kernel/qplatformintegrationfactory.cpp:56
 #8 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:73
 #9 init_platform at kernel/qguiapplication.cpp:1053
 #10 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1222
 #11 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1239

Potential duplicate: bug 1229360
Comment 1 Mustafa Muhammad 2016-02-27 03:52:48 EST
Created attachment 1131001 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2016-02-27 03:52:49 EST
Created attachment 1131002 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2016-02-27 03:52:51 EST
Created attachment 1131003 [details]
File: core_backtrace
Comment 4 Mustafa Muhammad 2016-02-27 03:52:53 EST
Created attachment 1131004 [details]
File: dso_list
Comment 5 Mustafa Muhammad 2016-02-27 03:52:54 EST
Created attachment 1131005 [details]
File: environ
Comment 6 Mustafa Muhammad 2016-02-27 03:52:56 EST
Created attachment 1131006 [details]
File: limits
Comment 7 Mustafa Muhammad 2016-02-27 03:52:58 EST
Created attachment 1131007 [details]
File: maps
Comment 8 Mustafa Muhammad 2016-02-27 03:53:00 EST
Created attachment 1131008 [details]
File: mountinfo
Comment 9 Mustafa Muhammad 2016-02-27 03:53:01 EST
Created attachment 1131009 [details]
File: namespaces
Comment 10 Mustafa Muhammad 2016-02-27 03:53:03 EST
Created attachment 1131010 [details]
File: open_fds
Comment 11 Mustafa Muhammad 2016-02-27 03:53:04 EST
Created attachment 1131011 [details]
File: proc_pid_status
Comment 12 Mustafa Muhammad 2016-02-27 03:53:06 EST
Created attachment 1131012 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-07-26 00:42:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 14 sjhuisman 2016-12-22 14:46:45 EST
*** Bug 1408295 has been marked as a duplicate of this bug. ***
Comment 15 Gerasim 2017-02-11 18:03:38 EST
*** Bug 1421390 has been marked as a duplicate of this bug. ***
Comment 16 Mustafa Muhammad 2017-05-29 20:23:58 EDT
Similar problem has been detected:

Just logged into Plasma Wayland session

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
global_pid:     2118
kernel:         4.11.3-200.fc25.x86_64
package:        kf5-kglobalaccel-5.34.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         kglobalaccel5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Sylvia Sánchez 2017-06-20 14:57:27 EDT
*** Bug 1463395 has been marked as a duplicate of this bug. ***
Comment 18 igiwatson 2017-07-13 08:39:15 EDT
Similar problem has been detected:

just login, related to 1347859

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
global_pid:     4575
kernel:         4.11.8-200.fc25.x86_64
package:        kf5-kglobalaccel-5.34.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         kglobalaccel5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1004
Comment 19 Fedora End Of Life 2017-11-16 09:52:00 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2017-12-12 06:03:17 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.